#!/bin/bash

echo " "
echo "Google Music Manager install for Ubuntu"
echo "               verion 2"
echo "     by bluescreenkid (june 2011)"
echo " "
echo " "
# check if WINE is installed

if dpkg -s "wine" 2>/dev/null 1>/dev/null; then
   export user=$(whoami)	# current logged in username

   # get xml data from tools.google.com
   echo "Retrieving MusicManagerSetup.exe URL Location"
   wget --quiet --user-agent='Google Update/1.2.183.129;winhttp;cup' --no-cookies --header="Cookie: c=ANcH4TKq5C1OUIR0zrynDRRDkxfQqnI166qD0R_8OCh7QFb8uy0zxYc9RmVqPRlwUH0cc9bpc8Ffrixs2o-2sW7epggR2x5BHg"  --post-data '<?xml version="1.0" encoding="UTF-8"?><o:gupdate xmlns:o="http://www.google.com/update2/request" protocol="2.0" version="1.2.183.39" ismachine="0" requestid=""><o:os platform="win" version="5.1" sp="Service Pack 3"/><o:app appid="{EA25377A-280A-4539-8FED-21FACE57594F}" version="" lang="en" brand="" client="" installage="-1" iid=""><o:updatecheck/></o:app></o:gupdate>'  http://tools.google.com/service/update2?w=3

   # extract download url from xml data
   content=($(cat update2?w=3))
   
   i=0
   gmmurl=""

   while [ "$gmmurl" == "" ]
   do
      i=$[$i + 1]
      gmmcom=${content[$i]:0:8}
      if [ "$gmmcom" == "codebase" ]
      then
         gmmurl=${content[$i]}
      fi
   done

   gmmurl=`echo $gmmurl | cut -c11- | awk 'sub(".$", "")'`
   rm update2\?w\=3*
   echo "   Completed"

   # download musicmanagersetup.exe from extracted url from xml data 
   echo " "
   echo "Downloading MusicManagerSetup.exe"
   echo " "
   wget --progress=bar $gmmurl 
   echo "   Completed"
   echo " "

   # add run music manager as win7 aplication
   echo "Adjusting WINE to run MusicManager as a Windows 7 Application"
   wine regedit win7.reg
   echo "   Completed"
   echo " " 
   
   # use wine to install music manager & exit window
   echo "Installing Google Music Manager"
   WINEDEBUG=-all wine MusicManagerSetup.exe
   echo "   Completed"
else 
   echo " "
   echo "WINE is not installed." 
   echo " "
   echo "To install WINE please use either of the below methods"
   echo " "
   echo "1 : sudo apt-get install wine"
   echo "or"
   echo "2 : sudo add-apt-repository ppa:ubuntu-wine/ppa"
   echo "    sudo apt-get update"
   echo "    sudo apt-get install wine"
   echo " "
   echo "WINE installled from the PPA is reported to run better"
   echo " "
fi
